Bump version to 1.0.0

Description

The core.memoize API has been stable for quite some time and has been used in a plethora of existing libraries and applications. Therefore, I propose that the API be snapshotted as it stands and marked as a v1.0.0 release.
I propose that any breaking changes occur later under something like a core.memoize2 implementation.

Environment

None

Assignee

Sean Corfield

Reporter

Michael Fogus

Labels

None

Approval

None

Patch

None

Priority

Minor
Configure